import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { Type, IList$1 } from "igniteui-angular-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-angular-core";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { CategorySeriesView } from "./CategorySeriesView";
import { Rect } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { PointCollection } from "igniteui-angular-core";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { UnknownValuePlotting } from "igniteui-angular-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { Clipper } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class StepAreaSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bk(): Series;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    ac9: StepAreaSeriesView;
    protected get_ex(): boolean;
    protected get_ew(): boolean;
    protected get_f2(): boolean;
    protected get_fm(): boolean;
    cz(): SeriesVisibleRangeMode;
    constructor();
    ac8: CategoryLineRasterizer;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    pb(a: boolean, b: SeriesView): void;
    private ada;
    protected ze(): CategoryTransitionInMode;
    ix(a: number, b: IList$1<number>, c: number, d: number, e: number, f: number, g: number, h: boolean): number;
    protected b3(): SeriesHitTestMode;
    aax(a: CategoryFrame, b: CategorySeriesView): void;
    qa(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class StepAreaSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected dt: StepAreaSeries;
    constructor(a: StepAreaSeries);
    a4(): void;
    private d1;
    private d3;
    private d2;
    private d4;
    get d5(): Path;
    get d7(): Path;
    get d6(): Path;
    get d8(): Path;
    du(): void;
    dv(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting): void;
    dw(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting, h: Clipper): void;
    private dx;
    private dz;
    private dy;
    private d0;
    protected bq(): void;
    protected bj(a: RenderingContext, b: boolean): void;
    ax(a: any): void;
}
